(Solved) VVDI2 5.0.0 – the version not yet released in this region

Xhorse VVDI2 New version V5.0.0 software released which requires firmware V5.0.0
Software was installed ok, but when trying upgrade firmware, i got error saying

“Unable to upgrade, the version has not yet released in this region, please wait”

 

(Didn’t know VVDI2 was regionalised), anyway…. With V5.0.0 software installed computer can’t connect to the VVDI2.

 

Tech support from xhorsetool.com:

You should use the update tool version 1.2.2, NOT 1.2.0

VVDI2 Upgrade Kit v1.2.2 download on Mega:

https://mega.nz/#!gXAQXIqb!gZ0LbDy7Q2949Hrtz0dN9fKLdstkSVb7i5fth7R0at4

Then you’ll be pleased with VVDI2 version 5.0.0 update.

VVDI2 5.0.0 download free:

https://mega.nz/#!O8JznCBZ!ZkbVpRZYa0ZxzuZjg6OG961KUZkDt7EEMEuSA0Xzkuw

VVDI2 V5.0.0 released notes:
**** 2018-01-06 *** Require firmware V5.0.0
!!! Update V5.0.0 firmware require use “Upgrade Kit”, you can find it from VVDI2 Quick Start from V5.0.0 software !!!
===== VAG V5.0.0 =====
1. Add support for MQB NEC35xx immoblizer/KM function, support following cars:Audi A3/S3 2014+
Audi Q2VW Golf7VW Polo(MQB)VW Tiguan IIVW Touran IIVW crafter 2017+VW Passat B8 without virtual cockpitSkoda Octavia III 2014.07+
Skoda Rapid 2015.06+Skoda KodiaqSkoda Superb IIISeat Ibiza/Ateca/Toledo 2015.06+
Attention:
– This type only support cars with cluster Continental/VDO. JCI type and virtual cockpit was not includAttention
–  MQB Immobilizer function require MQB key made by VVDI2.
2 Bugfix
===== BMW V5.0.0 =====
1. Improvement for read ECU ISN
2. Bugfix
===== Porsche V5.0.0 =====
1. Bugfix
===== PSA V5.0.0 =====
1. Bugfix
===== Transponder Programmer V5.0.0 =====
1. Bugfix
===== J2534 V5.0.0 =====
1. Bugfix
===== Online Upate Tool V5.0.0 =====
1. Bugfix
===== Quick Start V5.0.0=====
1. Add “Upgrade Kit”
2. Bugfix

Have an amazing day.